<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ShopResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        // return parent::toArray($request);
        return [
            "id" => $this->id,
            "user_id" => $this->User->id,
            "is_active" => $this->User->is_active,
            "name" => $this->User->name,
            "email" => $this->User->email,
            "phone" => $this->User->phone,
            "address" => $this->User->address,
            "details" => $this->details,
            "rate" => $this->rate,
            "image" => $this->User->image,
            "image_url" => $this->User->image_url,
            "role" => $this->User->role,
            "lang_code" => $this->User->lang_code,
            "shop_cards_count" => $this->postCards->count()
        ];
    }
}
