<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;

class Locale
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $locale = 'ja'; // set en as the fallback locale
        // if ($request->is('/ja/*')) { // if the route starts with /es/* set locale to ES
        //     $locale = 'ja';
        // } else if ($request->is('/en/*')) { // if the route starts with /fr/* set locale to FR
        //     $locale = 'en';
        // }
        if(isset($request['locale'])) $locale = isset($request['locale']);
        // app()->setLocale($request->segment(1));
        //set the derived locale
        App::setLocale($locale);
        return $next($request);
    }
}
