<?php

namespace App\Services\Repositories;

use App\Http\Controllers\Base;
use App\Models\ContactUs;
use App\Services\Interface\ContactUsInterface;

use App\Models\User;
use Exception;

class ContactUsRepository implements ContactUsInterface {

    public function add($data) {
        try {
            $contact_us = new ContactUs();
            $contact_us->name = $data['name'];
            $contact_us->email = $data['email'];
            $contact_us->message = $data['message'];
            $contact_us->save();

            return Base::pass(null, $contact_us);
        } catch (Exception $e) {
            return Base::exception_fail($e);
        }
    }
}
