<?php
return [

    //* Controller

    'Home data fetch successfully' => 'ホームデータの取得に成功',
    'User not found' => 'ユーザーが見つかりません',
    'User Deleted' => 'ユーザーが削除されました',

    'Dashboard Information' => 'ダッシュボード情報',

    'Order List Found' => 'オーダーリストが見つかりません',

    'Not Authenticated' => '未認証',
    'Authenticated user fetched' => '認証されたユーザーを取得した',
    'Wrong refer code' => '参照コードが違います',
    'Reset password option is not available for this user' => 'このユーザーにはパスワード再設定オプションがありません。',
    'User does not exist' => 'ユーザが存在しない',
    'Already sent OTP' => 'すでにOTPを送信済み',
    'OTP Code has been sent to your email' => 'OTPコードがメールに送信されました',
    'OTP Code time expired' => 'OTPコードの有効期限が切れています',
    'OTP does not match' => 'OTPが一致しません',
    'OTP verified' => 'OTPが確認されました',
    'Reset token does not matched' => 'リセットされたトークンが一致しません',
    'Password has been changed' => 'パスワードが変更されました',
    'User not logged in' => 'ユーザーがログインしていない',
    'User successfully logged out' => 'ログアウトに成功しました',

    'Contact list fetched' => '連絡先リスト取得',
    'Contact Info Added' => '連絡先情報追加',
    'Contact Updated' => '連絡先が更新されました',
    'Contact not found' => '連絡先が見つかりません',
    'Contact Deleted' => '連絡先削除',

    'Contact us form submitted' => 'お問い合わせフォームの送信',

    'Validation Error' => 'バリデーションエラー',
    'User_id and Auth user_id does not match' => 'User_idとAuth user_idが一致しません。',
    'User Subscription enabled for this app' => 'このアプリのユーザー登録が有効です',
    'User Subscription already enabled for this app' => 'このアプリのユーザー登録はすでに有効です',
    'New App added for user' => 'ユーザーに対して新しいアプリが追加されました',
    'An error occurred' => 'エラーが発生しました',
    'New notification has been save' => '新しい通知が保存されました',
    'Not Found' => '見つかりませんでした',
    'Notification user id did not match' => '通知先ユーザーIDが一致しません',
    'Notification fetched' => '通知を取得しました',
    'All notification marked as unread' => '未読としてマークされたすべての通知',
    'All notification marked as read' => 'すべての通知が既読にマークされました',


    'Post Card not found' => 'ポストカードが見つかりません',
    'Order Submitted' => '注文が送信されました',
    'Order not found' => '注文が見つかりません',
    'You are not authorized to rate this order' => 'あなたはこの注文を評価する権限がありません',
    'This order is not completed yet' => 'この注文はまだ完了していません。',
    'Already rated to this order' => 'この注文はすでに評価されています',
    'Feedback added' => 'フィードバック',
    'Order List Found' => 'オーダーリストが見つかりました',


    'No recommended cards' => 'おすすめカードがありません',
    'Post card details fetched' => 'ポストカードの詳細が取得されました',
    'Post card data is empty' => 'ポストカードデータは空です',
    'Category is not found' => 'カテゴリが見つかりません',
    'Post Cards Added' => 'ポストカードが追加されました',
    'Post Card not found' => 'ポストカードが見つかりません',
    'Shop not found' => 'ショップが見つかりません',
    'Code already taken' => 'コードはすでに使用されています',
    'Post Cards Updated' => 'ポストカードが更新されました',
    'Can not Delete, This card has pending order' => '削除できません。このカードは注文が保留されています。',
    'Post Cards Deleted' => 'ポストカードの削除',


    'User profile' => 'ユーザープロファイル',
    'Email already taken' => 'メールアドレスはすでに取得済みです',
    'User updated' => 'ユーザー更新',
    'Reset password option is not available for this user' => 'このユーザーにはパスワード再設定オプションがありません。',
    'You have entered a wrong password' => '間違ったパスワードを入力しました。',
    'Old password cannot be new password' => '旧パスワードを新パスワードに変更することはできません。',
    'Password changed successfully' => 'パスワードの変更に成功しました',
    'Language changed successfully' => '言語の変更に成功しました',
    'User Deleted' => 'ユーザーが削除されました',
    'Your refer code' => 'リファーコード',


    'Shop list found' => 'ショップリストが見つかりました',


    //* repository

    'All address list fetched' => '全住所リスト取得',
    'New address added successfully' => '新しい住所の追加に成功しました',
    'Address not found' => 'アドレスが見つかりません',
    'Unauthorized user' => '未承認のユーザー',
    'Address updated successfully' => 'アドレスの更新に成功しました',
    'Address Book not found' => 'アドレス帳が見つかりません',
    'Address book deleted successfully' => 'アドレス帳の削除に成功しました',


    'All category list fetched' => '全カテゴリリスト取得',
    'New Category added' => '新しいカテゴリが追加されました',
    'Category does not found' => 'カテゴリが見つかりません',
    'Category updated' => 'カテゴリが更新されました',
    'Category does not found' => 'カテゴリが見つかりません',
    'Category status toggled' => 'カテゴリの状態が変化した',
    'Category has been trashed' => 'カテゴリがゴミ箱に移動しました',
    'New recommended category added' => '新しいおすすめカテゴリが追加されました',
    'Recommended category list' => 'おすすめカテゴリ一覧',

    'All faq list' => 'すべてのFAQリスト',
    'New FAQ added successfully' => '新しいFAQが正常に追加されました',
    'Faq not found' => 'FAQが見つかりません',
    'FAQ updated successfully' => 'FAQの更新に成功しました。',
    'FAQ deleted successfully' => 'FAQが削除されました',
    'FAQ Status has been updated' => 'FAQのステータスが更新されました',


    'User all favorite card fetched' => 'すべてのお気に入りカードが取得されました',
    'Card has been remove from favorite list' => 'カードがお気に入りから削除されました',
    'Card has been mark as favorite' => 'お気に入り登録されたカード',


    'Notification List' => 'お知らせ一覧',


    'Order is not found' => '注文が見つからない',
    'Something went wrong' => '何か問題が発生した',
    'Payment Verification failed' => '支払い確認に失敗しました',
    'Duplicate Payment Id' => '支払いIDが重複している',
    'Payment verified' => 'お支払いが確認されました。',
    'Payment added' => 'お支払いが追加されました。',
    'Order is not in payment status' => '注文が支払い状態でない',
    'Payment information not found' => '支払い情報が見つかりません',
    'Payment is not initialized in this order' => 'この注文では支払いは初期化されていません。',
    'Payment Verification failed' => 'お支払いの確認に失敗しました',
    'Payment successfully' => '決済に成功しました',
    'Shop order list' => 'ショップ注文リスト',
    'Can not take action on this stage' => 'このステージでアクションを起こすことはできません',
    'Order status has been updated' => '注文状況が更新されました',
    'Orders filtered list' => 'ご注文内容リスト',
    'Recommended card lists' => 'おすすめカードリスト',

    'Post Card not found' => 'ポストカードが見つかりません',
    'Post card details fetch' => 'ポストカードの詳細取得',
    'Post Card details show' => 'ポストカードの詳細表示',
    'Card not found' => 'カードが見つかりません',
    'Post Card status toggled successfully' => 'ポストカードステータスのトグルに成功',

    'All fees' => 'すべての料金',
    'Data updated' => 'データ更新',

    'Boosted Shop List' => 'ブーストショップリスト',
    'All boosted shop list' => '全ブーストショップリスト',
    'Shop is enlisted in the list already' => 'ショップはすでにリストに登録されています',
    'Shop is added in boosted shop list' => 'ブーストショップリストに追加されたショップ',
    'Data is not found' => 'データが見つかりませんでした',
    'Shop is updated in boosted shop list' => 'ブーストショップリストのショップが更新されました',
    'Data is not found' => 'データが見つかりません',
    'Shop is deleted from boosted shop list' => 'ブーストショップリストからショップが削除されました',

    'Shop added successfully' => 'ショップの追加に成功しました',
    'All shops information' => '全ショップ情報',
    'Shop updated successfully' => 'ショップの更新に成功しました',
    'Shop has pending orders, unable to delete shop' => 'ショップに注文が残っているため、ショップを削除できません',
    'Shop deleted successfully' => 'ショップの削除に成功しました',
    'Shop details' => 'ショップの詳細',

    'Terms and Condition fetch successfully' => '利用規約の取得に成功しました',
    'Privacy Policy fetch successfully' => 'プライバシーポリシーの取得に成功しました',
    'Data updated' => 'データ更新',

    'Invalid Credentials' => '無効な認証情報',
    'You can not login this app with this account' => 'このアカウントでこのアプリにログインすることはできません',
    'Login Failed, Please try again' => 'ログインに失敗しました、もう一度やり直してください',
    'Logged in successful, Please verify your account' => 'ログインに成功しました, アカウントを確認してください',
    'User profile updated' => 'ユーザープロファイルが更新されました',
    'Settings Changed' => '設定変更',
    'All Customer list' => '全顧客リスト',
    'Customer details' => 'お客様情報の詳細',
    'User status changed' => 'ユーザーステータスを変更しました',

    'All vouchers list' => 'すべての伝票リスト',
    'User is not customer' => 'ユーザーが顧客でない',
    'User is not shop' => 'ユーザーがショップでない',
    'New voucher added' => '新しいクーポンが追加されました',
    'Voucher is not exist' => 'クーポンが存在しない',
    'Voucher is expired' => 'クーポンの有効期限が切れている',
    'Voucher has been used' => 'クーポンはすでに使用されています',
    'Voucher is not initial yet' => 'クーポンはまだ初期化されていません',
    'Voucher limit has been finished' => 'バウチャーの上限が終了しています',
    'Invalid voucher' => '無効なバウチャーです',
    'Voucher info' => 'バウチャー情報',
    'Voucher not found' => 'バウチャーが見つかりません',
    'Voucher status toggled successfully' => 'バウチャーのステータスが正常に切り替わりました。',
    'This voucher has been used more then once' => 'このクーポンは複数回使用されています。',
    'Voucher has been deleted successfully' => 'バウチャーが削除されました',
    'Voucher details' => 'バウチャーの詳細',

    //! new

    'Post card list fetched' => 'ポストカードリストの取得',
    'Login Successful' => 'ログイン成功',
    'Url Not found, Check your URL first' => 'URLが見つかりません、まずURLを確認してください',
    'Filtered voucher list' => 'フィルタリングされたバウチャーリスト',
    'User verification id uploaded successfully' => 'ユーザー認証用IDが正常にアップロードされました',
    'User verification information updated' => 'ユーザー認証情報更新',






];
